> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Media transcriberen

> Transcribeer een audio- of videobestand als volledige JSON, SRT of VTT

# Media transcriberen

Upload een audio- of videobestand en ontvang direct de transcriptie. Dit zelfstandige eindpunt maakt geen nasynchronisatieproject aan.

Het eindpunt accepteert bestanden tot **200 MB** en **2 uur**. Het gebruikt dezelfde API-sleuteltoegangsregels als de vertaal-API.
Succesvolle verzoeken retourneren HTTP `200`.

## Verzoek

Verstuur `multipart/form-data` met de volgende velden.

<ParamField header="x-api-key" type="string" required>
  Uw VoiceCheap API-sleutel.
</ParamField>

<ParamField body="file" type="file" required>
  Het audio- of videobestand om te transcriberen. Ondersteunde formaten zijn onder andere MP4, MOV, MKV, WebM, MPEG, MP3, WAV, M4A, FLAC, OGG en AAC.
</ParamField>

<ParamField body="outputFormat" type="string" default="json">
  Responsformaat: `json`, `srt` of `vtt`.
</ParamField>

<ParamField body="originalLanguage" type="string" default="auto-detect">
  Ondersteunde ISO-code voor de brontaal. Laat dit op `auto-detect` staan tenzij u de brontaal kent. Niet-ondersteunde expliciete talen retourneren een validatiefout voordat de verwerking start.
</ParamField>

<ParamField body="numberOfSpeakers" type="string" default="auto-detect">
  `auto-detect` of een geheel getal van `1` tot `32`.
</ParamField>

<ParamField body="brandVocabulary" type="string">
  Een JSON-string-array van namen, merken, acroniemen of domeintermen om te herkennen. Verzoektermen worden samengevoegd met opgeslagen account- of teamwoordenlijst.

  ```json theme={null}
  ["VoiceCheap", "SmartSync", "ITC Global"]
  ```
</ParamField>

<ParamField body="removeFillerWords" type="boolean" default="true">
  Verwijder veelvoorkomende stopwoorden uit de transcriptie.
</ParamField>

<ParamField body="includeSpeakerLabels" type="boolean" default="false">
  Voorzie SRT-cues van een prefix met `Speaker N:` of voeg VTT-stemtags toe. JSON bevat altijd de numerieke spreker bij elk segment en woord.
</ParamField>

## JSON-respons

JSON is de meest volledige output. Het bevat de volledige tekst, taalbetrouwbaarheid, mediaduur, sprekers, tijdgestempelde segmenten en tijdgestempelde woorden.

```json theme={null}
{
  "source": "standalone",
  "language": "en",
  "languageConfidence": 0.99,
  "duration": 12.4,
  "text": "Welcome to VoiceCheap.",
  "speakers": [{ "id": 0, "label": "Speaker 1" }],
  "segments": [
    {
      "index": 0,
      "text": "Welcome to VoiceCheap.",
      "begin": 0.18,
      "end": 1.74,
      "duration": 1.56,
      "speaker": 0,
      "language": "en",
      "confidence": 0.94,
      "words": [
        {
          "index": 0,
          "text": "Welcome",
          "speaker": 0,
          "confidence": 0.96,
          "begin": 0.18,
          "end": 0.62,
          "duration": 0.44
        }
      ]
    }
  ],
  "words": [
    {
      "index": 0,
      "text": "Welcome",
      "speaker": 0,
      "confidence": 0.96,
      "begin": 0.18,
      "end": 0.62,
      "duration": 0.44
    }
  ]
}
```

## Voorbeelden

<CodeGroup>
  ```bash cURL — JSON theme={null}
  curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
    -H "x-api-key: vc_your-api-key" \
    -F "file=@interview.mp4" \
    -F "outputFormat=json" \
    -F "numberOfSpeakers=2" \
    -F 'brandVocabulary=["VoiceCheap","SmartSync"]'
  ```

  ```bash cURL — SRT theme={null}
  curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
    -H "x-api-key: vc_your-api-key" \
    -F "file=@interview.mp4" \
    -F "outputFormat=srt" \
    -F "includeSpeakerLabels=true" \
    --output interview.srt
  ```

  ```bash cURL — VTT theme={null}
  curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
    -H "x-api-key: vc_your-api-key" \
    -F "file=@interview.mp4" \
    -F "outputFormat=vtt" \
    --output interview.vtt
  ```
</CodeGroup>

## Fouten

| Status | Code                        | Beschrijving                                          |
| ------ | --------------------------- | ----------------------------------------------------- |
| 400    | `FILE_REQUIRED`             | Er is geen bestand geüpload                           |
| 400    | `INVALID_FILE_TYPE`         | Bestandstype wordt niet ondersteund                   |
| 400    | `INVALID_MEDIA_STREAM`      | Bestand heeft geen audiostream                        |
| 400    | `DURATION_DETECTION_FAILED` | Mediaduur kon niet worden gelezen                     |
| 400    | `DURATION_TOO_LONG`         | Media is langer dan twee uur                          |
| 400    | `INVALID_BRAND_VOCABULARY`  | Een of meer woordenlijstitems zijn ongeldig           |
| 400    | `INVALID_BOOLEAN_VALUE`     | Een multipart-boolean is niet `true` of `false`       |
| 400    | `INVALID_JSON_FORMAT`       | Een JSON-gecodeerd multipart-veld is misvormd         |
| 400    | `INVALID_MULTIPART_REQUEST` | Multipart-formuliergegevens zijn misvormd of te groot |
| 413    | `FILE_TOO_LARGE`            | Bestand overschrijdt 200 MB                           |
| 502    | `TRANSCRIPTION_EMPTY`       | De transcriptie leverde geen bruikbare spraak op      |
| 502    | `TRANSCRIPTION_FAILED`      | De transcriptie-engine kon niet voltooien             |
